<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>RESIF: RESIFWS: Statistics Docs: v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
<link rel="stylesheet" href="./static/resifws.css"/>
<a href="./local=fr"> <img src="./static/images/fr.png" alt="Anglais - Français"> </a>
</head>
<body>
<p style="text-align:center;"> <img src="./static/images/logoresif.png" alt="logoresif" width="341" height="95"></p>
<h1 id="webservice-statistics">Webservice statistics</h1>
<p>This service provides access to the RESIF-DC statistics.</p>
<h2 id="query-usage">Query usage</h2>
<pre><code>/query? (request-options) [channel-options] [date-options] [storage-options] [send-options] [output-options] [nodata=404]

where :

request-options    ::  (request=&lt;country|map|send|storage|timeseries&gt;)
channel-options    ::  [net=&lt;network&gt; sta=&lt;station&gt; loc=&lt;location&gt; cha=&lt;channel&gt;]
date-options       ::  [starttime=&lt;date&gt;] [endtime=&lt;date&gt;]
storage-options    ::  [year=&lt;year&gt;] [type=&lt;buffer|validated&gt;]
send-options       ::  [ranklimit=&lt;number&gt;] [sum=&lt;boolean&gt;]
other-options      ::  [country=&lt;country_code&gt;] [media=&lt;dataselect|seedlink|station&gt;]
output-options     ::  [format=&lt;csv|json|text&gt;]

(..) required
[..] optional</code></pre>
<h2 id="sample-queries">Sample queries</h2>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=FR&year=2020">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=FR&amp;year=2020</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=Z32015&year=2016">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=Z32015&amp;year=2016</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=FR&year=2018&type=validated">http://ws.resif.fr/resifws/statistics/1/query?request=storage&amp;net=FR&amp;year=2018&amp;type=validated</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&media=dataselect&net=FR">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;media=dataselect&amp;net=FR</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&media=dataselect&net=FR&country=IT">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;media=dataselect&amp;net=FR&amp;country=IT</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&net=FR,RA&starttime=2020-01-01&ranklimit=5">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;net=FR,RA&amp;starttime=2020-01-01&amp;ranklimit=5</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=send&net=FR,RA&starttime=2020-01-01&endtime=2020-12-31&sum=true">http://ws.resif.fr/resifws/statistics/1/query?request=send&amp;net=FR,RA&amp;starttime=2020-01-01&amp;endtime=2020-12-31&amp;sum=true</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND&country=all">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND&amp;country=all</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=country&net=RA,ND&country=IT,US,FR">http://ws.resif.fr/resifws/statistics/1/query?request=country&amp;net=RA,ND&amp;country=IT,US,FR</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=map&starttime=2020-01-01">http://ws.resif.fr/resifws/statistics/1/query?request=map&amp;starttime=2020-01-01</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=map&starttime=2020-01-01&net=CL">http://ws.resif.fr/resifws/statistics/1/query?request=map&amp;starttime=2020-01-01&amp;net=CL</a></p>
<p><a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01&country=all">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01&amp;country=all</a><br />
<a href="http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&starttime=2020-01-01&country=all&media=dataselect">http://ws.resif.fr/resifws/statistics/1/query?request=timeseries&amp;starttime=2020-01-01&amp;country=all&amp;media=dataselect</a></p>
<h3 id="timeseries-request-output-example">timeseries request output example</h3>
<p>time country bytes clients<br />
2020-01-06 AT 116539392 1<br />
2020-01-06 AU 12664213504 1<br />
…</p>
<p>The ‘time’ field represents the first day of a period of one week.</p>
<h2 id="detailed-descriptions-of-each-query-parameter">Detailed descriptions of each query parameter</h2>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Seismic network name. Accepts wildcards and lists.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Station name. Accepts wildcards and lists.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Location code. Use loc=-- for empty location codes. Accepts wildcards and lists.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Channel Code. Accepts wildcards and lists.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Specify the responses that cover the time period after (and including) this time.</td>
</tr>
<tr class="even">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Specify responses that cover the time period prior to this time.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">format</td>
<td style="text-align: left;">text</td>
<td style="text-align: left;">The output format. Accepted values are text (the default), json, and csv.</td>
</tr>
<tr class="even">
<td style="text-align: left;">request</td>
<td style="text-align: left;">send</td>
<td style="text-align: left;">Type of statistic requested. Allowed values : <br> - <strong>country</strong> : the number of requests from each country <br> - <strong>map</strong> : a color coded map with the number of requests from each country<br> - <strong>send</strong> : the volume of distributed data by protocol <br> - <strong>storage</strong> : the volume of data stored <br> - <strong>timeseries</strong> : returns a timeseries with the country, the number and the volume of requests</td>
</tr>
</tbody>
</table>
<h3 id="additional-parameters-for-storage-request-option">Additional parameters for storage request option</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">type</td>
<td style="text-align: left;">validated</td>
<td style="text-align: left;">Choose validated data or not. Allowed values : <strong>buffer</strong>, and <strong>validated</strong> (all by default)</td>
</tr>
<tr class="even">
<td style="text-align: left;">year</td>
<td style="text-align: left;">2019,2020</td>
<td style="text-align: left;">List of years for which the volume of data is requested.</td>
</tr>
</tbody>
</table>
<h3 id="additional-parameters-for-send-request-option">Additional parameters for send request option</h3>
<table>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">ranklimit</td>
<td style="text-align: left;">5</td>
<td style="text-align: left;">Give only the largest stations of each network.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sum</td>
<td style="text-align: left;">true</td>
<td style="text-align: left;">Give the total amount of data on selected network.</td>
</tr>
</tbody>
</table>
<h3 id="additional-parameters-for-country-send-and-timeseries-request-options">Additional parameters for country, send, and timeseries request options</h3>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 8%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">country</td>
<td style="text-align: left;">FR,GB</td>
<td style="text-align: left;">Data are filtered to their country of origin. Use the country code (ISO 3166-1 alpha-2). The value <strong>all</strong> returns the sum on all country.</td>
</tr>
<tr class="even">
<td style="text-align: left;">media</td>
<td style="text-align: left;">seedlink</td>
<td style="text-align: left;">Protocol used to request data. Allowed values : <strong>dataselect</strong>, <strong>seedlink</strong>, and <strong>station</strong> (all by default)</td>
</tr>
</tbody>
</table>
<h2 id="date-and-time-formats">Date and time formats</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (a time of 00:00:00 is assumed)

where:

YYYY    :: four-digit year
MM      :: two-digit month (01=January, etc.)
DD      :: two-digit day (01 through 31)
T       :: date-time separator
hh      :: two-digit hour (00 through 23)
mm      :: two-digit number of minutes (00 through 59)
ss      :: two-digit number of seconds (00 through 59)
ssssss  :: one to six-digit number of microseconds (0 through 999999)</code></pre>
<h2 id="source-code">Source code</h2>
<p><a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics">https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics</a></p>
<h2 id="report-a-problem">Report a problem</h2>
<p><a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics/-/issues/">https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-statistics/-/issues/</a></p>
</body>
</html>
